// IPresenceRepository.cs
using System;
using System.Collections.Generic;
using AttendanceApp.Domain.Models;
using Demo.Data.LocalData.Entity;

namespace Demo.Data.Repository
{
    public interface IPresenceRepository
    {
        IEnumerable<LocalPresence> GetPresencesByGroupAndDate(int groupId, DateTime date);
        void AddPresence(LocalPresence presence);
        void UpdatePresence(LocalPresence presence);
        IEnumerable<LocalPresence> GetAllPresences();
        IEnumerable<LocalPresence> GetPresenceByGroup(int groupId);
        void UpdatePresence(Presence presence);
        // Удалите этот метод, так как он дублирует GetPresencesByGroupAndDate
        // IEnumerable<object> GetPresenceByGroupAndDate(int groupId, DateTime date);
    }
}